<div>Marcot,</div><div>Thanks for the detailed info!</div>Looks like &quot;aptitude install libcurl4-gnutls-dev&quot; solved the problem.<div><br></div><div>cheers,</div><div>Dmitri<br><br><div class="gmail_quote">On Tue, Aug 14, 2012 at 6:29 PM, Marco Túlio Pimenta Gontijo <span dir="ltr">&lt;<a href="mailto:marcotmarcot@gmail.com" target="_blank">marcotmarcot@gmail.com</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Hi dokondr.<br>
<br>
On Tue, Aug 14, 2012 at 11:23 AM, dokondr &lt;<a href="mailto:dokondr@gmail.com">dokondr@gmail.com</a>&gt; wrote:<br>
(...)<br>
<div class="im">&gt; Cabal fails to install &#39;curl&#39; because it can not find curl library. Please<br>
&gt; see detailed cabal output at the end of this message.<br>
<br>
</div>Cabal means the curl C library, which must be installed by either the packages<br>
libcurl4-openssl-dev or libcurl4-gnutls-dev.  If a situation like this happens<br>
again, you can search for candidate packages with:<br>
<br>
$ apt-cache search lib curl dev<br>
collectd-core - statistics collection and monitoring daemon (core system)<br>
libcurl4-gnutls-dev - Development files and documentation for libcurl (GnuTLS)<br>
libcurl4-openssl-dev - Development files and documentation for libcurl (OpenSSL)<br>
devscripts - scripts to make the life of a Debian Package maintainer easier<br>
libflickcurl-dev - C library for accessing the Flickr API - development files<br>
libghc6-curl-dev - GHC 6 libraries for the libcurl Haskell bindings<br>
liblua5.1-curl-dev - libcURL development files for the Lua language version 5.1<br>
liblua5.1-curl0 - libcURL bindings for the Lua language version 5.1<br>
libwww-curl-perl - Perl bindings to libcurl<br>
libcurl-ocaml-dev - OCaml libcurl bindings (Development package)<br>
python-pycurl-dbg - Python bindings to libcurl (debug extension)<br>
python-pycurl - Python bindings to libcurl<br>
tclcurl - Tcl bindings to libcurl<br>
php5-curl - CURL module for php5<br>
<br>
Or, even better, use the aptitude interface and search (with /) for &quot;lib curl<br>
dev&quot;, which will lead you directly to the right package in this case.<br>
<br>
Greetings.<br>
(...)<br>
<span class="HOEnZb"><font color="#888888">--<br>
marcot<br>
<a href="http://marcot.eti.br/" target="_blank">http://marcot.eti.br/</a><br>
</font></span></blockquote></div><br></div>